

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.9.2. TokenFilterNFKC100 &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.9.3. TokenFilterStem" href="token_filter_stem.html" />
    <link rel="prev" title="7.9.1. 概要" href="../token_filter/summary.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/token_filters/token_filter_nfkc100.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="token_filter_stem.html" title="7.9.3. TokenFilterStem"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="../token_filter/summary.html" title="7.9.1. 概要"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../token_filters.html" accesskey="U"><span class="section-number">7.9. </span>トークンフィルター</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.9.2. </span><code class="docutils literal notranslate"><span class="pre">TokenFilterNFKC100</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="tokenfilternfkc100">
<h1><span class="section-number">7.9.2. </span><code class="docutils literal notranslate"><span class="pre">TokenFilterNFKC100</span></code><a class="headerlink" href="#tokenfilternfkc100" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.9.2.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 8.0.9 で追加.</span></p>
</div>
<p>このトークンフィルターは、 <a class="reference internal" href="../normalizers/normalizer_nfkc100.html#normalizer-nfkc100"><span class="std std-ref">NormalizerNFKC100</span></a> と同じオプションを使えます。<code class="docutils literal notranslate"><span class="pre">TokenMecab</span></code> を使ってトークナイズする前にノーマライズをすると、トークンの意味が失われることがあるため、このトークンフィルターは、トークナイズ後にノーマライズするために使用します。</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.9.2.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">TokenFilterNFKC100</span></code> は省略可能な引数があります。</p>
<p>オプションなし:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>TokenFilterNFKC100
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">TokenFilterNFKC100</span></code> はUnicode 10.0用のUnicode NFKC（Normalization Form Compatibility Composition）を使ってテキストを正規化します。</p>
<p>オプション指定:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>TokenFilterNFKC100(&quot;unify_kana&quot;, true)

TokenFilterNFKC100(&quot;unify_kana_case&quot;, true)

TokenFilterNFKC100(&quot;unify_kana_voiced_sound_mark&quot;, true)

TokenFilterNFKC100(&quot;unify_hyphen&quot;, true)

TokenFilterNFKC100(&quot;unify_prolonged_sound_mark&quot;, true)

TokenFilterNFKC100(&quot;unify_hyphen_and_prolonged_sound_mark&quot;, true)

TokenFilterNFKC100(&quot;unify_middle_dot&quot;, true)

TokenFilterNFKC100(&quot;unify_katakana_v_sounds&quot;, true)

TokenFilterNFKC100(&quot;unify_katakana_bu_sound&quot;, true)

TokenFilterNFKC100(&quot;unify_to_romaji&quot;, true)
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.9.2.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
</div>
<div class="section" id="simple-usage">
<h2><span class="section-number">7.9.2.4. </span>簡単な使い方<a class="headerlink" href="#simple-usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>以下は、<code class="docutils literal notranslate"><span class="pre">TokenFilterNFKC100</span></code> の使用例です。 <code class="docutils literal notranslate"><span class="pre">TokenFilterNFKC100</span></code> はUnicode 10.0用のUnicode NFKC（Normalization Form Compatibility Composition）を使ってテキストを正規化します。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>tokenize TokenDelimit &quot;㎡&quot; --token_filters &#39;TokenFilterNFKC100&#39;
# [
#   [
#     0,
#     1546906509.304568,
#     0.0002825260162353516
#   ],
#   [
#     {
#       &quot;value&quot;: &quot;m2&quot;,
#       &quot;position&quot;: 0,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false
#     }
#   ]
# ]
</pre></div>
</div>
<p>以下は <a class="reference internal" href="#token-filter-nfkc100-unify-kana"><span class="std std-ref">unify_kana</span></a> オプションの使用例です。</p>
<p>このオプションは、以下のように同じ音となる全角ひらがな、全角カタカナ、半角カタカナの文字を同一視します。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>tokenize TokenDelimit &quot;あイｳｪおヽヾ&quot; --token_filters &#39;TokenFilterNFKC100(&quot;unify_kana&quot;, true)&#39;
# [
#   [
#     0,
#     1546906576.590515,
#     0.0003581047058105469
#   ],
#   [
#     {
#       &quot;value&quot;: &quot;あいうぇおゝゞ&quot;,
#       &quot;position&quot;: 0,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false
#     }
#   ]
# ]
</pre></div>
</div>
<p>以下は <a class="reference internal" href="#token-filter-nfkc100-unify-kana-case"><span class="std std-ref">unify_kana_case</span></a> オプションの使用例です。</p>
<p>このオプションは、以下のように、全角ひらがな、全角カタカナ、半角カタカナの小さな文字を大きな文字と同一視します。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>tokenize TokenDelimit &quot;ぁあぃいぅうぇえぉおゃやゅゆょよゎわゕかゖけ&quot; --token_filters &#39;TokenFilterNFKC100(&quot;unify_kana_case&quot;, true)&#39;
# [
#   [
#     0,
#     1546906658.116119,
#     0.0003299713134765625
#   ],
#   [
#     {
#       &quot;value&quot;: &quot;ああいいううええおおややゆゆよよわわかかけけ&quot;,
#       &quot;position&quot;: 0,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false
#     }
#   ]
# ]
</pre></div>
</div>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>tokenize TokenDelimit &quot;ァアィイゥウェエォオャヤュユョヨヮワヵカヶケ&quot; --token_filters &#39;TokenFilterNFKC100(&quot;unify_kana_case&quot;, true)&#39;
# [
#   [
#     0,
#     1546906730.305962,
#     0.0003023147583007812
#   ],
#   [
#     {
#       &quot;value&quot;: &quot;アアイイウウエエオオヤヤユユヨヨワワカカケケ&quot;,
#       &quot;position&quot;: 0,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false
#     }
#   ]
# ]
</pre></div>
</div>
<p>以下は、 <a class="reference internal" href="#token-filter-nfkc100-unify-kana-voiced-sound-mark"><span class="std std-ref">unify_kana_voiced_sound_mark</span></a> オプションの使用例です。</p>
<p>このオプションは、以下のように、全角ひらがな、全角カタカナ、半角カタカナで濁点や半濁点の有無を同一視します。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>tokenize TokenDelimit &quot;かがきぎくぐけげこごさざしじすずせぜそぞただちぢつづてでとどはばぱひびぴふぶぷへべぺほぼぽ&quot; --token_filters &#39;TokenFilterNFKC100(&quot;unify_kana_voiced_sound_mark&quot;, true)&#39;
# [
#   [
#     0,
#     1546906812.423493,
#     0.0003724098205566406
#   ],
#   [
#     {
#       &quot;value&quot;: &quot;かかききくくけけここささししすすせせそそたたちちつつててととはははひひひふふふへへへほほほ&quot;,
#       &quot;position&quot;: 0,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false
#     }
#   ]
# ]
</pre></div>
</div>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>tokenize TokenDelimit &quot;カガキギクグケゲコゴサザシジスズセゼソゾタダチヂツヅテデトドハバパヒビピフブプヘベペホボポ&quot; --token_filters &#39;TokenFilterNFKC100(&quot;unify_kana_voiced_sound_mark&quot;, true)&#39;
# [
#   [
#     0,
#     1546906950.51529,
#     0.0003533363342285156
#   ],
#   [
#     {
#       &quot;value&quot;: &quot;カカキキククケケココササシシススセセソソタタチチツツテテトトハハハヒヒヒフフフヘヘヘホホホ&quot;,
#       &quot;position&quot;: 0,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false
#     }
#   ]
# ]
</pre></div>
</div>
<p>以下は、 <a class="reference internal" href="#token-filter-nfkc100-unify-hyphen"><span class="std std-ref">unify_hyphen</span></a> オプションの使用例です。このオプションは、以下のように、ハイフンを&quot;-&quot; (U+002D HYPHEN-MINUS)に正規化します。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>tokenize TokenDelimit &quot;-˗֊‐‑‒–⁃⁻₋−&quot; --token_filters &#39;TokenFilterNFKC100(&quot;unify_hyphen&quot;, true)&#39;
# [
#   [
#     0,
#     1546907023.849045,
#     0.0003139972686767578
#   ],
#   [
#     {
#       &quot;value&quot;: &quot;-----------&quot;,
#       &quot;position&quot;: 0,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false
#     }
#   ]
# ]
</pre></div>
</div>
<p>以下は、 <a class="reference internal" href="#token-filter-nfkc100-unify-prolonged-sound-mark"><span class="std std-ref">unify_prolonged_sound_mark</span></a> オプションの使用例です。このオプションは、以下のように長音記号を&quot;-&quot; (U+30FC KATAKANA-HIRAGANA PROLONGED SOUND MARK)に正規化します。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>tokenize TokenDelimit &quot;ー—―─━ｰ&quot; --token_filters &#39;TokenFilterNFKC100(&quot;unify_prolonged_sound_mark&quot;, true)&#39;
# [
#   [
#     0,
#     1546907076.575454,
#     0.0003325939178466797
#   ],
#   [
#     {
#       &quot;value&quot;: &quot;ーーーーーー&quot;,
#       &quot;position&quot;: 0,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false
#     }
#   ]
# ]
</pre></div>
</div>
<p>以下は、<a class="reference internal" href="#token-filter-nfkc100-unify-hyphen-and-prolonged-sound-mark"><span class="std std-ref">unify_hyphen_and_prolonged_sound_mark</span></a> オプションの使用例です。このオプションは、以下のように、ハイフンと長音記号を&quot;-&quot; (U+002D HYPHEN-MINUS)に正規化します。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>tokenize TokenDelimit &quot;-˗֊‐‑‒–⁃⁻₋− ﹣－ ー—―─━ｰ&quot; --token_filters &#39;TokenFilterNFKC100(&quot;unify_hyphen_and_prolonged_sound_mark&quot;, true)&#39;
# [
#   [
#     0,
#     1546907138.989727,
#     0.0003240108489990234
#   ],
#   [
#     {
#       &quot;value&quot;: &quot;-----------&quot;,
#       &quot;position&quot;: 0,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false
#     },
#     {
#       &quot;value&quot;: &quot;--&quot;,
#       &quot;position&quot;: 1,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false
#     },
#     {
#       &quot;value&quot;: &quot;------&quot;,
#       &quot;position&quot;: 2,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false
#     }
#   ]
# ]
</pre></div>
</div>
<p>以下は、<a class="reference internal" href="#token-filter-nfkc100-unify-middle-dot"><span class="std std-ref">unify_middle_dot</span></a> オプションの使用例です。このオプションは、中点を&quot;·&quot; (U+00B7 MIDDLE DOT)に正規化します。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>tokenize TokenDelimit &quot;·ᐧ•∙⋅⸱・･&quot; --token_filters &#39;TokenFilterNFKC100(&quot;unify_middle_dot&quot;, true)&#39;
# [
#   [
#     0,
#     1546907221.227195,
#     0.0003573894500732422
#   ],
#   [
#     {
#       &quot;value&quot;: &quot;········&quot;,
#       &quot;position&quot;: 0,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false
#     }
#   ]
# ]
</pre></div>
</div>
<p>以下は、<a class="reference internal" href="#token-filter-nfkc100-unify-katakana-v-sounds"><span class="std std-ref">unify_katakana_v_sounds</span></a> オプションの使用例です。このオプションは、以下のように、&quot;ヴァヴィヴヴェヴォ&quot;を&quot;バビブベボ&quot;に正規化します。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>tokenize TokenDelimit &quot;ヴァヴィヴヴェヴォヴ&quot; --token_filters &#39;TokenFilterNFKC100(&quot;unify_katakana_v_sounds&quot;, true)&#39;
# [
#   [
#     0,
#     1546907295.776949,
#     0.0003447532653808594
#   ],
#   [
#     {
#       &quot;value&quot;: &quot;バビブベボブ&quot;,
#       &quot;position&quot;: 0,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false
#     }
#   ]
# ]
</pre></div>
</div>
<p>以下は、<a class="reference internal" href="#token-filter-nfkc100-unify-katakana-bu-sounds"><span class="std std-ref">unify_katakana_bu_sound</span></a> オプションの使用例です。このオプションは、以下のように、&quot;ヴァヴィヴゥヴェヴォ&quot;を&quot;ブ&quot;に正規化します。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>tokenize TokenDelimit &quot;ヴァヴィヴヴェヴォヴ&quot; --token_filters &#39;TokenFilterNFKC100(&quot;unify_katakana_bu_sound&quot;, true)&#39;
# [
#   [
#     0,
#     1546907361.518968,
#     0.0002958774566650391
#   ],
#   [
#     {
#       &quot;value&quot;: &quot;ブブブブブブ&quot;,
#       &quot;position&quot;: 0,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false
#     }
#   ]
# ]
</pre></div>
</div>
<p>以下は、 <a class="reference internal" href="#token-filter-nfkc100-unify-to-romaji"><span class="std std-ref">unify_to_romaji</span></a> オプションの使用例です。このオプションは、以下のように、ひらがなとカタカナをローマ字に正規化します。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>tokenize TokenDelimit &quot;アァイィウゥエェオォ&quot; --token_filters  &#39;TokenFilterNFKC100(&quot;unify_to_romaji&quot;, true)&#39;
# [
#   [
#     0,
#     1546907415.47742,
#     0.0003619194030761719
#   ],
#   [
#     {
#       &quot;value&quot;: &quot;axaixiuxuexeoxo&quot;,
#       &quot;position&quot;: 0,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false
#     }
#   ]
# ]
</pre></div>
</div>
</div>
<div class="section" id="advanced-usage">
<h2><span class="section-number">7.9.2.5. </span>高度な使い方<a class="headerlink" href="#advanced-usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">TokenFilterNFKC100</span></code> と <code class="docutils literal notranslate"><span class="pre">TokenMecab</span></code> の <code class="docutils literal notranslate"><span class="pre">use_reading</span></code> オプションを組み合わせることで、入力文字列を全てひらがなとして出力できます。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>tokenize   &#39;TokenMecab(&quot;use_reading&quot;, true)&#39;   &quot;私は林檎を食べます。&quot;   --token_filters &#39;TokenFilterNFKC100(&quot;unify_kana&quot;, true)&#39;
# [
#   [
#     0,
#     1545901819.377275,
#     0.0003833770751953125
#   ],
#   [
#     {
#       &quot;value&quot;: &quot;わたし&quot;,
#       &quot;position&quot;: 0,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false
#     },
#     {
#       &quot;value&quot;: &quot;は&quot;,
#       &quot;position&quot;: 1,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false
#     },
#     {
#       &quot;value&quot;: &quot;りんご&quot;,
#       &quot;position&quot;: 2,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false
#     },
#     {
#       &quot;value&quot;: &quot;を&quot;,
#       &quot;position&quot;: 3,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false
#     },
#     {
#       &quot;value&quot;: &quot;たべ&quot;,
#       &quot;position&quot;: 4,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false
#     },
#     {
#       &quot;value&quot;: &quot;ます&quot;,
#       &quot;position&quot;: 5,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false
#     },
#     {
#       &quot;value&quot;: &quot;。&quot;,
#       &quot;position&quot;: 6,
#       &quot;force_prefix&quot;: false,
#       &quot;force_prefix_search&quot;: false
#     }
#   ]
# ]
</pre></div>
</div>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.9.2.6. </span>引数<a class="headerlink" href="#parameters" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="section" id="optional-parameter">
<h3><span class="section-number">7.9.2.6.1. </span>省略可能引数<a class="headerlink" href="#optional-parameter" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>省略可能な引数は以下の通りです。</p>
<div class="section" id="unify-kana">
<span id="token-filter-nfkc100-unify-kana"></span><h4><span class="section-number">7.9.2.6.1.1. </span><code class="docutils literal notranslate"><span class="pre">unify_kana</span></code><a class="headerlink" href="#unify-kana" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>このオプションは、同じ音となる全角ひらがな、全角カタカナ、半角カタカナの文字を同一視します。</p>
</div>
<div class="section" id="unify-kana-case">
<span id="token-filter-nfkc100-unify-kana-case"></span><h4><span class="section-number">7.9.2.6.1.2. </span><code class="docutils literal notranslate"><span class="pre">unify_kana_case</span></code><a class="headerlink" href="#unify-kana-case" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>このオプションは、全角ひらがな、全角カタカナ、半角カタカナの小さな文字を大きな文字と同一視します。</p>
</div>
<div class="section" id="unify-kana-voiced-sound-mark">
<span id="token-filter-nfkc100-unify-kana-voiced-sound-mark"></span><h4><span class="section-number">7.9.2.6.1.3. </span><code class="docutils literal notranslate"><span class="pre">unify_kana_voiced_sound_mark</span></code><a class="headerlink" href="#unify-kana-voiced-sound-mark" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>このオプションは、全角ひらがな、全角カタカナ、半角カタカナで濁点や半濁点の有無を同一視します。</p>
</div>
<div class="section" id="unify-hyphen">
<span id="token-filter-nfkc100-unify-hyphen"></span><h4><span class="section-number">7.9.2.6.1.4. </span><code class="docutils literal notranslate"><span class="pre">unify_hyphen</span></code><a class="headerlink" href="#unify-hyphen" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>このオプションは、ハイフンを&quot;-&quot; (U+002D HYPHEN-MINUS)に正規化します。</p>
<p>正規化対象のハイフンは以下の通りです。</p>
<ul class="simple">
<li><p>&quot;-&quot; (U+002D HYPHEN-MINUS)</p></li>
<li><p>&quot;֊&quot; (U+058A ARMENIAN HYPHEN)</p></li>
<li><p>&quot;˗&quot; (U+02D7 MODIFIER LETTER MINUS SIGN)</p></li>
<li><p>&quot;‐&quot; (U+2010 HYPHEN)</p></li>
<li><p>&quot;—&quot; (U+2014 EM DASH)</p></li>
<li><p>&quot;⁃&quot; (U+2043 HYPHEN BULLET)</p></li>
<li><p>&quot;⁻&quot; (U+207B SUPERSCRIPT MINUS)</p></li>
<li><p>&quot;₋&quot; (U+208B SUBSCRIPT MINUS)</p></li>
<li><p>&quot;−&quot; (U+2212 MINUS SIGN)</p></li>
</ul>
</div>
<div class="section" id="unify-prolonged-sound-mark">
<span id="token-filter-nfkc100-unify-prolonged-sound-mark"></span><h4><span class="section-number">7.9.2.6.1.5. </span><code class="docutils literal notranslate"><span class="pre">unify_prolonged_sound_mark</span></code><a class="headerlink" href="#unify-prolonged-sound-mark" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>このオプションは、長音記号を&quot;-&quot; (U+30FC KATAKANA-HIRAGANA PROLONGED SOUND MARK)に正規化します。</p>
<p>正規化対象の長音記号は以下の通りです。</p>
<ul class="simple">
<li><p>&quot;—&quot; (U+2014 EM DASH)</p></li>
<li><p>&quot;―&quot; (U+2015 HORIZONTAL BAR)</p></li>
<li><p>&quot;─&quot; (U+2500 BOX DRAWINGS LIGHT HORIZONTAL)</p></li>
<li><p>&quot;━&quot; (U+2501 BOX DRAWINGS HEAVY HORIZONTAL)</p></li>
<li><p>&quot;ー&quot; (U+30FC KATAKANA-HIRAGANA PROLONGED SOUND MARK)</p></li>
<li><p>&quot;ｰ&quot; (U+FF70 HALFWIDTH KATAKANA-HIRAGANA PROLONGED SOUND MARK)</p></li>
</ul>
</div>
<div class="section" id="unify-hyphen-and-prolonged-sound-mark">
<span id="token-filter-nfkc100-unify-hyphen-and-prolonged-sound-mark"></span><h4><span class="section-number">7.9.2.6.1.6. </span><code class="docutils literal notranslate"><span class="pre">unify_hyphen_and_prolonged_sound_mark</span></code><a class="headerlink" href="#unify-hyphen-and-prolonged-sound-mark" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>このオプションは、ハイフンと長音記号を&quot;-&quot; (U+002D HYPHEN-MINUS)に正規化します。</p>
<p>正規化対象のハイフンと長音記号は以下の通りです。</p>
<ul class="simple">
<li><p>&quot;-&quot; (U+002D HYPHEN-MINUS)</p></li>
<li><p>&quot;֊&quot; (U+058A ARMENIAN HYPHEN)</p></li>
<li><p>&quot;˗&quot; (U+02D7 MODIFIER LETTER MINUS SIGN)</p></li>
<li><p>&quot;‐&quot; (U+2010 HYPHEN)</p></li>
<li><p>&quot;—&quot; (U+2014 EM DASH)</p></li>
<li><p>&quot;⁃&quot; (U+2043 HYPHEN BULLET)</p></li>
<li><p>&quot;⁻&quot; (U+207B SUPERSCRIPT MINUS)</p></li>
<li><p>&quot;₋&quot; (U+208B SUBSCRIPT MINUS)</p></li>
<li><p>&quot;−&quot; (U+2212 MINUS SIGN)</p></li>
<li><p>&quot;—&quot; (U+2014 EM DASH)</p></li>
<li><p>&quot;―&quot; (U+2015 HORIZONTAL BAR)</p></li>
<li><p>&quot;─&quot; (U+2500 BOX DRAWINGS LIGHT HORIZONTAL)</p></li>
<li><p>&quot;━&quot; (U+2501 BOX DRAWINGS HEAVY HORIZONTAL)</p></li>
<li><p>&quot;ー&quot; (U+30FC KATAKANA-HIRAGANA PROLONGED SOUND MARK)</p></li>
<li><p>&quot;ｰ&quot; (U+FF70 HALFWIDTH KATAKANA-HIRAGANA PROLONGED SOUND MARK)</p></li>
</ul>
</div>
<div class="section" id="unify-middle-dot">
<span id="token-filter-nfkc100-unify-middle-dot"></span><h4><span class="section-number">7.9.2.6.1.7. </span><code class="docutils literal notranslate"><span class="pre">unify_middle_dot</span></code><a class="headerlink" href="#unify-middle-dot" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>このオプションは、中点を&quot;·&quot; (U+00B7 MIDDLE DOT)に正規化します。</p>
<p>正規化対象の中点は以下の通りです。</p>
<ul class="simple">
<li><p>&quot;·&quot; (U+00B7 MIDDLE DOT)</p></li>
<li><p>&quot;ᐧ&quot; (U+1427 CANADIAN SYLLABICS FINAL MIDDLE DOT)</p></li>
<li><p>&quot;•&quot; (U+2022 BULLET)</p></li>
<li><p>&quot;∙&quot; (U+2219 BULLET OPERATOR)</p></li>
<li><p>&quot;⋅&quot; (U+22C5 DOT OPERATOR)</p></li>
<li><p>&quot;⸱&quot; (U+2E31 WORD SEPARATOR MIDDLE DOT)</p></li>
<li><p>&quot;・&quot; (U+30FB KATAKANA MIDDLE DOT)</p></li>
<li><p>&quot;･&quot; (U+FF65 HALFWIDTH KATAKANA MIDDLE DOT)</p></li>
</ul>
</div>
<div class="section" id="unify-katakana-v-sounds">
<span id="token-filter-nfkc100-unify-katakana-v-sounds"></span><h4><span class="section-number">7.9.2.6.1.8. </span><code class="docutils literal notranslate"><span class="pre">unify_katakana_v_sounds</span></code><a class="headerlink" href="#unify-katakana-v-sounds" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>このオプションは、&quot;ヴァヴィヴヴェヴォ&quot;を&quot;バビブベボ&quot;に正規化します。</p>
</div>
<div class="section" id="unify-katakana-bu-sound">
<span id="token-filter-nfkc100-unify-katakana-bu-sounds"></span><h4><span class="section-number">7.9.2.6.1.9. </span><code class="docutils literal notranslate"><span class="pre">unify_katakana_bu_sound</span></code><a class="headerlink" href="#unify-katakana-bu-sound" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>このオプションは、&quot;ヴァヴィヴゥヴェヴォ&quot;を&quot;ブ&quot;に正規化します。</p>
</div>
<div class="section" id="unify-to-romaji">
<span id="token-filter-nfkc100-unify-to-romaji"></span><h4><span class="section-number">7.9.2.6.1.10. </span><code class="docutils literal notranslate"><span class="pre">unify_to_romaji</span></code><a class="headerlink" href="#unify-to-romaji" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>このオプションは、ひらがなとカタカナをローマ字に正規化します。</p>
</div>
</div>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.9.2. <code class="docutils literal notranslate"><span class="pre">TokenFilterNFKC100</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.9.2.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.9.2.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.9.2.3. 使い方</a></li>
<li><a class="reference internal" href="#simple-usage">7.9.2.4. 簡単な使い方</a></li>
<li><a class="reference internal" href="#advanced-usage">7.9.2.5. 高度な使い方</a></li>
<li><a class="reference internal" href="#parameters">7.9.2.6. 引数</a><ul>
<li><a class="reference internal" href="#optional-parameter">7.9.2.6.1. 省略可能引数</a><ul>
<li><a class="reference internal" href="#unify-kana">7.9.2.6.1.1. <code class="docutils literal notranslate"><span class="pre">unify_kana</span></code></a></li>
<li><a class="reference internal" href="#unify-kana-case">7.9.2.6.1.2. <code class="docutils literal notranslate"><span class="pre">unify_kana_case</span></code></a></li>
<li><a class="reference internal" href="#unify-kana-voiced-sound-mark">7.9.2.6.1.3. <code class="docutils literal notranslate"><span class="pre">unify_kana_voiced_sound_mark</span></code></a></li>
<li><a class="reference internal" href="#unify-hyphen">7.9.2.6.1.4. <code class="docutils literal notranslate"><span class="pre">unify_hyphen</span></code></a></li>
<li><a class="reference internal" href="#unify-prolonged-sound-mark">7.9.2.6.1.5. <code class="docutils literal notranslate"><span class="pre">unify_prolonged_sound_mark</span></code></a></li>
<li><a class="reference internal" href="#unify-hyphen-and-prolonged-sound-mark">7.9.2.6.1.6. <code class="docutils literal notranslate"><span class="pre">unify_hyphen_and_prolonged_sound_mark</span></code></a></li>
<li><a class="reference internal" href="#unify-middle-dot">7.9.2.6.1.7. <code class="docutils literal notranslate"><span class="pre">unify_middle_dot</span></code></a></li>
<li><a class="reference internal" href="#unify-katakana-v-sounds">7.9.2.6.1.8. <code class="docutils literal notranslate"><span class="pre">unify_katakana_v_sounds</span></code></a></li>
<li><a class="reference internal" href="#unify-katakana-bu-sound">7.9.2.6.1.9. <code class="docutils literal notranslate"><span class="pre">unify_katakana_bu_sound</span></code></a></li>
<li><a class="reference internal" href="#unify-to-romaji">7.9.2.6.1.10. <code class="docutils literal notranslate"><span class="pre">unify_to_romaji</span></code></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="../token_filter/summary.html"
                        title="前の章へ"><span class="section-number">7.9.1. </span>概要</a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="token_filter_stem.html"
                        title="次の章へ"><span class="section-number">7.9.3. </span><code class="docutils literal notranslate"><span class="pre">TokenFilterStem</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="token_filter_stem.html" title="7.9.3. TokenFilterStem"
             >次へ</a> |</li>
        <li class="right" >
          <a href="../token_filter/summary.html" title="7.9.1. 概要"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../token_filters.html" ><span class="section-number">7.9. </span>トークンフィルター</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.9.2. </span><code class="docutils literal notranslate"><span class="pre">TokenFilterNFKC100</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>